Bug 423641 - wodim: Cannot init drive
wodim: Cannot init drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrkit (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 10:58 EST by Jon Metelonis
Modified: 2009-01-09 00:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:30:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
k3b debug info (5.53 KB, text/plain)
2007-12-13 10:58 EST, Jon Metelonis
no flags Details
commands output (3.09 KB, text/plain)
2008-01-17 15:24 EST, Roman Danilov
no flags Details

  None (edit)
Description Jon Metelonis 2007-12-13 10:58:58 EST
Description of problem: wodim: Operation not permitted. Warning: Cannot raise 
RLIMIT_MEMLOCK limits.wodim: No such file or directory.


Version-Release number of selected component (if applicable): 1.1.6


How reproducible:  This is difficult to say, it consistently does not work on 
MY computer :-(


Steps to Reproduce:
1. Open k3b
2. Try to burn a data cd
3. 
  
Actual results: Hangs for several minutes, fails with: Cdrecord has no 
permission to open the device, however I feel this is a symptom, not the real 
issue


Expected results: A nice data cd


Additional info: dmesg reports:

ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x55 data 60 out
         res 58/00:00:00:3c:00/00:00:00:00:00/a0 Emask 0x2 (HSM violation)
ata2: soft resetting port
ata2.00: qc timeout (cmd 0xa1)
ata2.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata2.00: revalidation failed (errno=-5)
ata2: failed to recover some devices, retrying in 5 secs
ata2: port is slow to respond, please be patient (Status 0xd8)
ata2: device not ready (errno=-16), forcing hardreset
ata2: soft resetting port
ata2.00: configured for UDMA/33
ata2: EH pending after completion, repeating EH (cnt=4)
ata2: EH complete
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x55 data 60 out
         res 58/00:00:00:3c:00/00:00:00:00:00/a0 Emask 0x2 (HSM violation)
ata2: soft resetting port
ata2.00: configured for UDMA/33
ata2: EH pending after completion, repeating EH (cnt=4)
ata2: EH complete

Command line testing:

[metejg@bonehead ~]$ wodim dev=scd0 blank=all

wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK 
limits.wodim: No such file or directory.
Cannot open SCSI driver!
For possible targets try 'wodim --devices' or 'wodim -scanbus'.
For possible transport specifiers try 'wodim dev=help'.
For IDE/ATAPI devices configuration, see the file README.ATAPI.setup from
the wodim documentation.

[metejg@bonehead ~]$ wodim –devices

wodim: Overview of accessible drives (1 found) :
-------------------------------------------------------------------------
 0  dev='/dev/scd0'     rwrw-- : 'LITE-ON' 'DVDRW LH-20A1P'
-------------------------------------------------------------------------
Comment 1 Jon Metelonis 2007-12-13 10:58:58 EST
Created attachment 287491 [details]
k3b debug info
Comment 2 Andre Robatino 2007-12-13 22:48:23 EST
  I believe the RLIMIT_MEMLOCK warning is normal for wodim considering you are
running it as an ordinary user and not as root (try googling for RLIMIT_MEMLOCK
and cdrecord).  Try running the same command as root instead to get rid of that
particular warning.  Assuming that works, you'll want to change the summary of
this bug.
Comment 3 Harald Hoyer 2007-12-14 05:59:57 EST
you may also check your permissions on /dev/scd0 or the node it points to.

$ ls -l /dev/scd0 /dev/<node to which scd0 points>
$ getfacl /dev/scd0 /dev/<node to which scd0 points>

HAL/PolicyKit sometimes does not set the permissions correctly.
Comment 4 Jon Metelonis 2007-12-14 12:17:55 EST
Here's additional debug info:

[root@bonehead ~]# ls -l /dev/scd0 /dev/sr0
lrwxrwxrwx  1 root root     3 2007-12-13 08:29 /dev/scd0 -> sr0
brw-rw----+ 1 root disk 11, 0 2007-12-13 08:29 /dev/sr0
[root@bonehead ~]# getfacl /dev/scd0 /dev/sr0
getfacl: Removing leading '/' from absolute path names
# file: dev/sr0
# owner: root
# group: disk
user::rw-
user:metejg:rw-
group::r--
mask::rw-
other::---

# file: dev/sr0
# owner: root
# group: disk
user::rw-
user:metejg:rw-
group::r--
mask::rw-
other::---



Here I run the command as root:

[root@bonehead ~]# wodim dev=/dev/scd0 blank=all
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   :
Vendor_info    : 'LITE-ON '
Identification : 'DVDRW LH-20A1P  '
Revision       : 'KL0N'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE FORCESPEED
Supported modes:
wodim: Cannot init drive.

I do not believe this is a permissions issue.
Comment 5 Roman Danilov 2008-01-17 15:24:41 EST
Created attachment 292065 [details]
commands output

the same problem, but another drive (PATA SEC SLAVE, ASUS DRW-1814BL)
at begin I want to write iso-image to blank dvd+r, and errors fills-in my
screen...
Comment 6 Bug Zapper 2008-11-26 03:59:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:30:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.